Page MenuHomePhabricator

add WikibaseImport to dockerized infrastructure
Closed, ResolvedPublic3 Story Points

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 12 2018, 2:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tarrow added a subscriber: Tarrow.Apr 12 2018, 2:16 PM

We need to think about where to add this. It is an extension.

Probably it makes most sense to make a tagged version of the wikibase/wikibase image which loads additional extensions.

Perhaps not just WikibaseImport but also OAuth as required for T192079

Addshore added a subscriber: Addshore.

Probably it makes most sense to make a tagged version of the wikibase/wikibase image which loads additional extensions.
Perhaps not just WikibaseImport but also OAuth as required for T192079

Yup (exactly what I just said in T192079#4135691 too).

Perhaps tags such as wikibase:1.30-bundle or wikibase:1.30+extensions ?

Tarrow updated the task description. (Show Details)Apr 17 2018, 2:06 PM
Tarrow updated the task description. (Show Details)May 15 2018, 8:36 AM
Tarrow moved this task from Backlog to Review on the User-TArrow board.May 16 2018, 1:58 PM

Some comments in the PR. Importantly from @Addshore :

Does master currently work with 1.30?
We should still probably do filbertkm/WikibaseImport#29 before having the DockerFile automaticaly pull stuff in.
Perhaps @filbertkm would be up for moving this to gerrit, or to giving us some level or access to the repo? Or we could fork it.

So I'll move this into blocked until we have a way through it

Addshore closed this task as Resolved.May 25 2018, 3:23 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 25 2018, 3:23 PM